Package: org.grails.commons

## [Java] Class DefaultGrailsCodecClass.ClosureCodecFactory

- org.grails.commons.DefaultGrailsCodecClass.ClosureCodecFactory

- All Implemented Interfaces and Traits:
    CodecFactory

      private class DefaultGrailsCodecClass.ClosureCodecFactory

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Object` | `codecInstance` |
    `private Decoder` | `decoder` |
    `private Encoder` | `encoder` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureCodecFactory (java.lang.Object codecInstance)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Decoder` | `getDecoder()`
    `` | `public Encoder` | `getEncoder()`
    `` | `private groovy.lang.Closure<java.lang.Object>` | `getMethodOrClosureMethod(java.lang.Class<?> clazz, java.lang.String methodName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.Object codecInstance

    - #### private Decoder decoder

    - #### private Encoder encoder

  - ### Constructor Detail

    - #### ClosureCodecFactory(java.lang.Object codecInstance)

  - ### Method Detail

    - #### public Decoder getDecoder()

    - #### public Encoder getEncoder()

    - #### private groovy.lang.Closure<java.lang.Object> getMethodOrClosureMethod(java.lang.Class<?> clazz, java.lang.String methodName)